import { useEffect, useState } from "react";
import Message from "./Message";

const MessageList = () => {
  const [messages, setMessages] = useState([]);

  // var messages = []

  // messages = ["dog", "cat"]
  // setMessages(["dog", "cat"])

  const handleNewMessage = () => {
    console.log("new message coming");
    window.location.href = "/#bottom";
  };

  const loadMessages = () => {
    fetch("https://chat.pekkalammi.com/messages")
      .then((response) => response.json())
      .then((json) => {
        console.log(json);

        if (json.length > messages.length) {
          handleNewMessage();
        }

        setMessages(json);
      });
  };

  // useEffect get's called only on the initial render
  useEffect(() => {
    loadMessages();
    // // sets the function to trigger every 2 seconds
    setInterval(() => {
      loadMessages();
    }, 2000);
  }, []);

  return (
    <div className="messageList">
      {/* [
        {user: "Pekka", text: "Hello", timestamp: 123123},
        {user: "Pekka", text: "Hello", timestamp: 123123},
        {user: "Pekka", text: "Hello", timestamp: 123123}
        ] */}

      {messages.map((message) => {
        return (
          <Message
            user={message.user}
            text={message.text}
            timestamp={message.timestamp}
          />
        );
      })}
      <div id="bottom"></div>
    </div>
  );
};

export default MessageList;
